/*
Theme Name: Box of Electronic
Author: dialmon
Author URI: https://dialmon.eu/
Theme URI: https://dialmon.eu/404
Description: Small blog about parts in box theme
Template: personal-cv-resume
Version: 1.0.1
License: GNU General Public License v3 or later
Tags: blog
Text Domain: box-theme
*/
:root {
    --secondary-color: #a953ff;
    --secondary-color-rgb: rgb(169, 83, 255);
    --nav-color: #3a3939;
    --heading-font: 'Roboto Condensed', sans-serif;
    --nav-font: 'Roboto Condensed', sans-serif;
}

#page.site {
    max-width: 100%;
    overflow: hidden;
}

@media only screen and (min-width: 750px) {
    #page.site {
        display: flex;
        align-items: stretch !important;
        max-width: 1600px;
        width: 100%;
        margin: 0 auto;
        padding: 0 2%;
    }

    #main.site-main {
        margin: 20px 3%;
    }

    #page.site #aside-nav-wrapper {
        position: static;
        flex: 0 0 250px; /* Fixed width of 250px */
        border-left: 1px solid rgba(0, 0, 0, 0.08);
        height: auto !important;
    }

    #page.site #content.site-content {
        margin-left: 0;
        max-width: 100%;
        overflow: hidden;
        flex: 1;
        position: relative;
        padding-bottom: 150px;
    }

    #colophon.site-footer {
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
    }

    #page.site #content.site-content .full-container {
        margin: 20px 4% 0 !important;
    }

    #page.site div.sidewrapper.sidenav {
        right: 0;
        margin-right: 0;
        opacity: 1;
        visibility: visible;
        position: static;
        width: 250px;
    }

    #page.site #secondary {
        overflow: hidden;
        width: 100%;
    }

    #page.site #sidebar-actions {
        display: none;
    }

    #page.site #fly-sidebar {
        border: 1px solid rgba(0, 0, 0, 0.08);
        overflow: hidden;
        flex: 0 0 250px; /* Fixed width of 250px */

    }
}

@media only screen and (max-width: 750px) {
    #page.site div.sidewrapper.sidenav {
        position: absolute;
    }
}

a.ui-to-top {
    position: fixed;
    right: -20px;
    bottom: 70px;
    overflow: hidden;
    text-align: center;
    text-decoration: none;
    z-index: 20;
    transition: .3s all ease;
    -webkit-transform: translateY(50px) rotate(-90deg);
    -ms-transform: translateY(50px) rotate(-90deg);
    transform: translateY(50px) rotate(-90deg);
    opacity: 0;
    color: #1f1f1f;
    font-size: 12px;
    font-weight: bold;
    letter-spacing: 3px;
    padding-right: 25px;
}

a.ui-to-top:hover,
a.ui-to-top:focus {
    color: var(--secondary-color);
}

a.ui-to-top i {
    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
    font-size: 16px;
    display: block;
    position: absolute;
    right: 7px;
    top: 2px;
    height: 20px;
}

a.ui-to-top.active {
    -webkit-transform: translateY(0) rotate(-90deg);
    -ms-transform: translateY(0) rotate(-90deg);
    transform: translateY(0) rotate(-90deg);
    opacity: 1;
}

#colophon.site-footer {
    text-align: center;
    padding: 20px 0 !important;
}

#primary #masonry-grid .img-box.gallery {
    height: 260px;
}

#primary #masonry-grid .img-box.gallery .gallery-image {
    height: 260px;
    overflow: hidden;
}

#primary .content-post-wrap .img-box .article-link {
    bottom: -24px;
}

@media only screen and (max-width: 750px) {
    .inner-wrapper-sticky {
        width: 230px !important;
    }
}

#aside-nav-wrapper .my-photo {
    border-radius: 0;
    padding: 0;
}

#aside-nav-wrapper .my-photo .custom-logo-link {
    border: 4px solid #fff;
    width: 120px;
    height: 120px;
    text-align: center;
    overflow: hidden;
    border-radius: 100%;
}

#aside-nav-wrapper .my-photo .custom-logo-link:hover,
#aside-nav-wrapper .my-photo .custom-logo-link:focus {
    border-color: var(--secondary-color);
}

.widget h3.widget-title span, .widget.widget_block span {
    background: var(--secondary-color);
}

.comments-area a {
    color: var(--secondary-color);
}

.widget ul li a:hover, .widget ol li a:hover, .widget ul li a:focus, .widget ol li a:focus {
    color: var(--secondary-color);
}

.widget ul li:hover::before, .widget ol li:hover::before {
    color: var(--secondary-color);
}

#aside-nav-wrapper #navbar ul > li > a:hover, #aside-nav-wrapper #navbar ul > li > a:focus, #aside-nav-wrapper #navbar ul > li.current_page_item > a {
    color: var(--secondary-color);
}

#aside-nav-wrapper #navbar ul ul li:first-child::before {
    border-right: 8px solid var(--secondary-color)
}
#primary .search-form{
    width: 250px;
}

#primary .search-form .search-field,
.woocommerce-product-search input[type="search"]{
    display:block;
    height: 40px;
    line-height: 35px;
    border-radius: 33px;
    padding: 0 12px;
    border: 1px solid #dedede;
    font-weight:normal;
    margin-right: 8px;
    min-height: 35px;
}
.widget_search .search-submit,
#primary .search-form .search-submit,
.woocommerce-product-search button{
    background:var(--secondary-color);
}